Package snort seem installing ok it crash in GUI link



  • Just update to verison 2.0-RC and installed snort using the package menu.

    when i click in services snort GUI menu i have:

    Fatal error: Cannot redeclare test_pfspkg() (previously declared in /usr/local/pkg/snort/snort_gui.inc:204) in /usr/local/pkg/snort/snort.inc on line 3065

    I guess is because i just upgrade and did not uninstall snort first but i am not sure how to resolve this error.

    thanks



  • One of two things.  Either snort didn't install correctly, or when you upgraded, you forgot to sync up the rules.  Right after an upgrade I always re-download the rule definitions.



  • @LostInIgnorance:

    One of two things.  Either snort didn't install correctly, or when you upgraded, you forgot to sync up the rules.  Right after an upgrade I always re-download the rule definitions.

    they get deleted when the package is re-installed..So you have to re-download them :-(

    Until Snort is updated by the dev for 2.0, you will see bugs in it. Example, whitelist doesn't work correctly.. It will block IPs on your whitelist if an alert comes up.


Log in to reply